# hey Emacs, its -*- rpm-spec -*-
# $Id: guikachu,v 1.8 2002/10/08 12:11:04 grigory Exp $

Summary: Guikachu PalmOS resource editor
Name: guikachu
Version: 1.2.3
Release: alt1

Copyright: GPL
Group: Development/Other
Source: http://cactus.rulez.org/projects/guikachu/download/%name-%version.tar.bz2
URL: http://cactus.rulez.org/projects/guikachu

# Automatically added by buildreq on Thu Dec 13 2001
BuildRequires: esound-devel gcc-c++ gdk-pixbuf-devel gdk-pixbuf-gnomecanvas glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel libglade-devel libgnomemm-devel libgtkmm-devel libsigc++-devel libstdc++-devel libxml-devel libxslt ORBit-devel XFree86-devel XFree86-libs zlib-devel libGConf-devel GConf libgnome-vfs-devel

BuildRequires: autoconf_2.13 automake_1.4

%description
Guikachu is a GNOME application for graphical editing of resource
files for PalmOS-based pocket computers, with a user interface
resembling Glade.

Install Guikachu if you want to visually edit PalmOS forms.

%prep
%setup
# %__subst 's/\(VFS_VER_MICRO\ -ge\)\ 5/\1\ 3/' configure.in
%__autoconf
CPPFLAGS="-I%_includedir/gnome-1.0/" ./configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir \
	--localstatedir=%_localstatedir \
	--with-gconf-prefix=%_prefix

%build
%make_build

%install
%makeinstall \
	GCONF_SCHEMA_CONFIG_SOURCE=xml::%buildroot%_sysconfdir/gconf/gconf.xml.defaults \
	GCONF_SCHEMA_FILE_DIR=%buildroot%_sysconfdir/gconf/schemas/

%find_lang %name
  
%files -f %name.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README TODO examples
%_sysconfdir/gconf/gconf.xml.defaults/apps/%{name}*
%_sysconfdir/gconf/gconf.xml.defaults/schemas/apps/%{name}*
%_sysconfdir/gconf/schemas/*
%_bindir/%{name}*
%_datadir/application-registry/*
%_datadir/gnome/apps/Development/*
%_datadir/gnome/help/%name
%_datadir/%name
%_datadir/mime-info/*
%_datadir/pixmaps/*

%changelog
* Wed Sep 11 2002 Grigory Milev <week@altlinux.ru> 1.2.3-alt1
- new version released
- rebuild with new libgtkmm

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 1.0.1-alt1
- new version released

* Sat Sep 15 2001 ERDI Gergo <cactus@cactus.rulez.org>
- Include the Guikachu icon in the package

* Thu Sep 13 2001 ERDI Gergo <cactus@cactus.rulez.org>
- Made it more generic

* Sat Sep 8 2001 Erich Douglass <erd42@swbell.net>
- Merged in a few fixes and tested.

* Sat Sep 08 2001 ERDI Gergo <cactus@cactus.rulez.org>
- Created the .spec file.
